%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A high-performance asynchronous HTTP client library
Name:		serf
Version:	1.3.2
Release:	%mkrel 2
License:	Apache License
Group:		System/Libraries
URL:		http://code.google.com/p/serf/
Source0:	http://serf.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	scons >= 2.3

%description
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

%package -n	%{libname}
Summary:	A high-performance asynchronous HTTP client library
Group:          System/Libraries

%description -n	%{libname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.


%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

This package contains all of the development files that you will need in order
to compile %{name} applications.


%prep

%setup -q

%build

scons \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    APR=%{_prefix} \
    OPENSSL=%{_prefix} \
    ZLIB=%{_prefix} \
    DEBUG=yes \
    CFLAGS="%{optflags}" \
    APR_STATIC=no

%scons

%check
%scons \
    CFLAGS="%{optflags}" \
    check

%install
scons install --install-sandbox=%{buildroot}

# enable strip and debug packages
chmod 755 %{buildroot}%{_libdir}/libserf*.so*

# Don't ship static libs
rm -fR %{buildroot}%{_libdir}/*.a
rm -fR %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc CHANGES LICENSE NOTICE README design-guide.txt
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%dir %{_includedir}/serf-1
%attr(0644,root,root) %{_includedir}/serf-1/*.h
%attr(0755,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-2.mga4
+ Revision: 542069
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 oden <oden> 1.3.2-1.mga4
+ Revision: 496852
- 1.3.2

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 381941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 303180
- 1.1.1

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.1.0-1.mga3
+ Revision: 281039
- 1.1.0
- remove patch 0 (fixed upstream)

  + pterjan <pterjan>
    - Add upstream patch fixing tests

  + kamil <kamil>
    - new version 1.0.0
    - clean .spec

* Fri Sep 09 2011 tv <tv> 0.7.2-1.mga2
+ Revision: 141808
- new release

* Mon Jan 17 2011 blino <blino> 0.7.0-4.mga1
+ Revision: 21704
- remove old ldconfig scriptlets
- imported package serf


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-3mdv2011.0
+ Revision: 627641
- don't force the usage of automake1.7

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.7.0-2mdv2011.0
+ Revision: 605059
- Rebuild with apr with workaround to issue with gcc type based alias analysis

* Sun Oct 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2011.0
+ Revision: 582649
- 0.7.0

* Thu Apr 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-4mdv2010.1
+ Revision: 533209
- resubmit due to BS weirdness

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-3mdv2010.1
+ Revision: 532836
- rebuild for new openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2010.1
+ Revision: 511637
- rebuilt against openssl-0.9.8m

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2010.1
+ Revision: 506520
- 0.3.1

* Sat Jun 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-2mdv2010.0
+ Revision: 383254
- rebuilt against new apr/apr-util libs

* Sat Mar 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2009.1
+ Revision: 359994
- 0.3.0

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdv2009.1
+ Revision: 314525
- rebuilt to make it pickup the correct bdb in the libserf-0.la file...

* Sun Nov 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2009.1
+ Revision: 305988
- more backport fixes

* Fri Nov 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2009.1
+ Revision: 305515
- fix linkage

* Wed Aug 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2009.0
+ Revision: 264250
- import serf


* Wed Aug 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2009.0
- initial Mandriva package
